Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#4362 - xfce4-panel crashs

Attached to Project: Arch Linux
Opened by Andreas Radke (AndyRTR) - Tuesday, 04 April 2006, 03:29 GMT
Last edited by arjan timmerman (blaasvis) - Tuesday, 04 April 2006, 07:13 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Aurelien Foret (aurelien.foret)
Architecture not specified
Severity Medium
Priority Normal
Reported Version 0.7.1 Noodle
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Since Sundays current updates Xfce4-panel always crashes here. 32bit and 64bit are affected.

[andyrtr@workstation64 xfce4-xkb-plugin]$ *** glibc detected *** double free or corruption (out): 0x0000000000bdc490 ***

[1]+ Abgebrochen xfce4-panel
[andyrtr@workstation64 xfce4-xkb-plugin]$

On my 64bit machine I only updated current packages. So one of them should be the reason. Recompiling doesn't help.

AndyRTR
This task depends upon

Closed by  Roman Kyrylych (Romashka)
Saturday, 11 November 2006, 20:05 GMT
Reason for closing:  Fixed
Comment by Jan de Groot (JGC) - Tuesday, 04 April 2006, 07:26 GMT
Guess this is one of those bad g_free that should be an g_object_unref. This is caused by the new glib2, or let's say it has always been buggy but glib2 triggers it now.
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 10:32 GMT
Yes, I have the same error

*** glibc detected *** double free or corruption (out): 0x081aa930 ***
Neúspěšně ukončen (SIGABRT)

on 32 bit :(
Comment by Jan de Groot (JGC) - Tuesday, 04 April 2006, 11:01 GMT
Are you using some plugin on the panel? I can run xfce panel fine from within gnome, but I don't have any plugins loaded on it.
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 11:04 GMT
Unfortunatelly around 4 apllets (weather, ram usage, clipper) no more.
Comment by Jan de Groot (JGC) - Tuesday, 04 April 2006, 11:19 GMT
It seems the weather applet is causing your problems. After loading the weather applet, configuring it and exiting xfce4-panel with CTRL+C from the terminal, it aborts with an invalid free.
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 11:23 GMT
Oh, great! Thanks! Now just try to find where I can remove it :)
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 11:31 GMT
i cannot found it :( Do You know how to remove applet from panel please? Any conf file?
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 11:51 GMT
I have simply remove it (pacman -R xfce4-weather-plugin :))
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 11:52 GMT
Thank You!!! It works!
Comment by Andreas Radke (AndyRTR) - Tuesday, 04 April 2006, 16:37 GMT
Watch the bug there: http://bugzilla.xfce.org/show_bug.cgi?id=1590

Let's see how fast they can fix it.

clipman plugin is also affected from what I've read on the xfce-goodies mailing list
Comment by Martin Podhola (DarkTux) - Tuesday, 04 April 2006, 20:40 GMT
eh, fine! Thank You! so hope for correction :)
Comment by Andreas Radke (AndyRTR) - Thursday, 18 May 2006, 19:39 GMT
http://bugzilla.xfce.org/show_bug.cgi?id=1590

Looks like they got it fixed :)

Loading...